using System;

using FilterAPI.Networking;

using FilterManager.LocalNetworking;

using FilterManager.ManagerNetworking;

namespace FilterManager.LocalHandlers
{
    internal class Local2Handle
    {
        [LocalPacketHandler(2, 2)]
        public static void HandleNameOK(LocalClient ClientSocket, Packet ClientPacket) { }

        [LocalPacketHandler(2, 4)]
        public static void HandleReload(LocalClient ClientSocket, Packet ClientPacket)
        {
            foreach (ManagerClient ZClient in Program.ManagerClients.Values) { GlobalPacket.SendWhisperMessageFromServer(ZClient, "Server", "The server is initializing a reload, there might be lag for a few seconds!"); }

            Program.LoadSHNs();
        }
    }
}
